diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-x2-sap.h ns-3.44/src/lte/model/epc-x2-sap.h
--- ns-3.43/src/lte/model/epc-x2-sap.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-x2-sap.h	2025-03-09 16:55:49.487371400 -0700
@@ -33,7 +33,7 @@
  */
 
 /**
- * \brief Common structures for EpcX2SapProvider and EpcX2SapUser
+ * @brief Common structures for EpcX2SapProvider and EpcX2SapUser
  */
 class EpcX2Sap
 {
@@ -211,7 +211,7 @@
     };
 
     /**
-     * \brief Parameters of the HANDOVER REQUEST message.
+     * @brief Parameters of the HANDOVER REQUEST message.
      *
      * See section 9.1.1.1 for further info about the parameters
      */
@@ -229,7 +229,7 @@
     };
 
     /**
-     * \brief Parameters of the HANDOVER REQUEST ACKNOWLEDGE message.
+     * @brief Parameters of the HANDOVER REQUEST ACKNOWLEDGE message.
      *
      * See section 9.1.1.2 for further info about the parameters
      */
@@ -245,7 +245,7 @@
     };
 
     /**
-     * \brief Parameters of the HANDOVER PREPARATION FAILURE message.
+     * @brief Parameters of the HANDOVER PREPARATION FAILURE message.
      *
      * See section 9.1.1.3 for further info about the parameters
      */
@@ -259,7 +259,7 @@
     };
 
     /**
-     * \brief Parameters of the SN STATUS TRANSFER message.
+     * @brief Parameters of the SN STATUS TRANSFER message.
      *
      * See section 9.1.1.4 for further info about the parameters
      */
@@ -274,7 +274,7 @@
     };
 
     /**
-     * \brief Parameters of the UE CONTEXT RELEASE message.
+     * @brief Parameters of the UE CONTEXT RELEASE message.
      *
      * See section 9.1.1.5 for further info about the parameters
      */
@@ -287,7 +287,7 @@
     };
 
     /**
-     * \brief Parameters of the LOAD INFORMATION message.
+     * @brief Parameters of the LOAD INFORMATION message.
      *
      * See section 9.1.2.1 for further info about the parameters
      */
@@ -298,7 +298,7 @@
     };
 
     /**
-     * \brief Parameters of the RESOURCE STATUS UPDATE message.
+     * @brief Parameters of the RESOURCE STATUS UPDATE message.
      *
      * See section 9.1.2.14 for further info about the parameters
      */
@@ -312,7 +312,7 @@
     };
 
     /**
-     * \brief Parameters of the UE DATA primitive
+     * @brief Parameters of the UE DATA primitive
      *
      * Forward UE data during the handover procedure from source eNB (sourceCellId)
      * to target eNB (targetCellId) using a GTP-U tunnel (gtpTeid)
@@ -326,7 +326,7 @@
     };
 
     /**
-     * \brief Parameters of the HANDOVER CANCEL message.
+     * @brief Parameters of the HANDOVER CANCEL message.
      *
      * See section 9.1.1.6 for further info about the parameters
      */
@@ -355,55 +355,55 @@
 
     /**
      * Send handover request function
-     * \param params handover request parameters
+     * @param params handover request parameters
      */
     virtual void SendHandoverRequest(HandoverRequestParams params) = 0;
 
     /**
      * Send handover request ack function
-     * \param params the handover request ack parameters
+     * @param params the handover request ack parameters
      */
     virtual void SendHandoverRequestAck(HandoverRequestAckParams params) = 0;
 
     /**
      * Send handover preparation failure function
-     * \param params the handover preparation failure
+     * @param params the handover preparation failure
      */
     virtual void SendHandoverPreparationFailure(HandoverPreparationFailureParams params) = 0;
 
     /**
      * Send SN status transfer function
-     * \param params the SN status transfer parameters
+     * @param params the SN status transfer parameters
      */
     virtual void SendSnStatusTransfer(SnStatusTransferParams params) = 0;
 
     /**
      * Send UE context release function
-     * \param params the UE context release parameters
+     * @param params the UE context release parameters
      */
     virtual void SendUeContextRelease(UeContextReleaseParams params) = 0;
 
     /**
      * Send load information function
-     * \param params the load information parameters
+     * @param params the load information parameters
      */
     virtual void SendLoadInformation(LoadInformationParams params) = 0;
 
     /**
      * Send resource status update function
-     * \param params the resource statue update parameters
+     * @param params the resource statue update parameters
      */
     virtual void SendResourceStatusUpdate(ResourceStatusUpdateParams params) = 0;
 
     /**
      * Send UE data function
-     * \param params the UE data parameters
+     * @param params the UE data parameters
      */
     virtual void SendUeData(UeDataParams params) = 0;
 
     /**
-     * \brief Send handover Cancel to the target eNB
-     * \param params the handover cancel parameters
+     * @brief Send handover Cancel to the target eNB
+     * @param params the handover cancel parameters
      */
     virtual void SendHandoverCancel(HandoverCancelParams params) = 0;
 };
@@ -423,55 +423,55 @@
 
     /**
      * Receive handover request function
-     * \param params the handover request parameters
+     * @param params the handover request parameters
      */
     virtual void RecvHandoverRequest(HandoverRequestParams params) = 0;
 
     /**
      * Receive handover request ack function
-     * \param params the handover request ack parameters
+     * @param params the handover request ack parameters
      */
     virtual void RecvHandoverRequestAck(HandoverRequestAckParams params) = 0;
 
     /**
      * Receive handover preparation failure function
-     * \param params the handover preparation failure parameters
+     * @param params the handover preparation failure parameters
      */
     virtual void RecvHandoverPreparationFailure(HandoverPreparationFailureParams params) = 0;
 
     /**
      * Receive SN status transfer function
-     * \param params the SN status transfer parameters
+     * @param params the SN status transfer parameters
      */
     virtual void RecvSnStatusTransfer(SnStatusTransferParams params) = 0;
 
     /**
      * Receive UE context release function
-     * \param params the receive UE context release parameters
+     * @param params the receive UE context release parameters
      */
     virtual void RecvUeContextRelease(UeContextReleaseParams params) = 0;
 
     /**
      * Receive load information function
-     * \param params the load information parameters
+     * @param params the load information parameters
      */
     virtual void RecvLoadInformation(LoadInformationParams params) = 0;
 
     /**
      * Receive resource status update function
-     * \param params the resource status update parameters
+     * @param params the resource status update parameters
      */
     virtual void RecvResourceStatusUpdate(ResourceStatusUpdateParams params) = 0;
 
     /**
      * Receive UE data function
-     * \param params UE data parameters
+     * @param params UE data parameters
      */
     virtual void RecvUeData(UeDataParams params) = 0;
 
     /**
      * Receive handover cancel function
-     * \param params the receive handover cancel parameters
+     * @param params the receive handover cancel parameters
      *
      */
     virtual void RecvHandoverCancel(HandoverCancelParams params) = 0;
@@ -489,7 +489,7 @@
     /**
      * Constructor
      *
-     * \param x2 the owner class
+     * @param x2 the owner class
      */
     EpcX2SpecificEpcX2SapProvider(C* x2);
 
@@ -502,55 +502,55 @@
 
     /**
      * Send handover request function
-     * \param params the handover request parameters
+     * @param params the handover request parameters
      */
     void SendHandoverRequest(HandoverRequestParams params) override;
 
     /**
      * Send handover request ack function
-     * \param params the handover request ack parameters
+     * @param params the handover request ack parameters
      */
     void SendHandoverRequestAck(HandoverRequestAckParams params) override;
 
     /**
      * Send handover preparation failure function
-     * \param params the handover preparation failure parameters
+     * @param params the handover preparation failure parameters
      */
     void SendHandoverPreparationFailure(HandoverPreparationFailureParams params) override;
 
     /**
      * Send SN status transfer function
-     * \param params the SN status transfer parameters
+     * @param params the SN status transfer parameters
      */
     void SendSnStatusTransfer(SnStatusTransferParams params) override;
 
     /**
      * Send UE context release function
-     * \param params the UE context release parameters
+     * @param params the UE context release parameters
      */
     void SendUeContextRelease(UeContextReleaseParams params) override;
 
     /**
      * Send load information function
-     * \param params the load information parameters
+     * @param params the load information parameters
      */
     void SendLoadInformation(LoadInformationParams params) override;
 
     /**
      * Send resource status update function
-     * \param params the resource status update parameters
+     * @param params the resource status update parameters
      */
     void SendResourceStatusUpdate(ResourceStatusUpdateParams params) override;
 
     /**
      * Send UE data function
-     * \param params the UE data parameters
+     * @param params the UE data parameters
      */
     void SendUeData(UeDataParams params) override;
 
     /**
-     * \brief Send handover Cancel to the target eNB
-     * \param params the handover cancel parameters
+     * @brief Send handover Cancel to the target eNB
+     * @param params the handover cancel parameters
      */
     void SendHandoverCancel(HandoverCancelParams params) override;
 
@@ -638,7 +638,7 @@
     /**
      * Constructor
      *
-     * \param rrc RRC
+     * @param rrc RRC
      */
     EpcX2SpecificEpcX2SapUser(C* rrc);
 
@@ -651,55 +651,55 @@
 
     /**
      * Receive handover request function
-     * \param params the receive handover request parameters
+     * @param params the receive handover request parameters
      */
     void RecvHandoverRequest(HandoverRequestParams params) override;
 
     /**
      * Receive handover request ack function
-     * \param params the receive handover request ack parameters
+     * @param params the receive handover request ack parameters
      */
     void RecvHandoverRequestAck(HandoverRequestAckParams params) override;
 
     /**
      * Receive handover preparation failure function
-     * \param params the receive handover preparation failure parameters
+     * @param params the receive handover preparation failure parameters
      */
     void RecvHandoverPreparationFailure(HandoverPreparationFailureParams params) override;
 
     /**
      * Receive SN status transfer function
-     * \param params the SN status transfer parameters
+     * @param params the SN status transfer parameters
      */
     void RecvSnStatusTransfer(SnStatusTransferParams params) override;
 
     /**
      * Receive UE context release function
-     * \param params the UE context release parameters
+     * @param params the UE context release parameters
      */
     void RecvUeContextRelease(UeContextReleaseParams params) override;
 
     /**
      * Receive load information function
-     * \param params the load information parameters
+     * @param params the load information parameters
      */
     void RecvLoadInformation(LoadInformationParams params) override;
 
     /**
      * Receive resource status update function
-     * \param params the receive resource status update
+     * @param params the receive resource status update
      */
     void RecvResourceStatusUpdate(ResourceStatusUpdateParams params) override;
 
     /**
      * Receive UE data function
-     * \param params the UE data parameters
+     * @param params the UE data parameters
      */
     void RecvUeData(UeDataParams params) override;
 
     /**
      * Receive handover cancel function
-     * \param params the receive handover cancel parameters
+     * @param params the receive handover cancel parameters
      *
      */
     void RecvHandoverCancel(HandoverCancelParams params) override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/eps-bearer.cc ns-3.44/src/lte/model/eps-bearer.cc
--- ns-3.43/src/lte/model/eps-bearer.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/eps-bearer.cc	2025-03-09 16:55:49.487371400 -0700
@@ -8,8 +8,8 @@
 
 #include "eps-bearer.h"
 
-#include <ns3/attribute-construction-list.h>
-#include <ns3/fatal-error.h>
+#include "ns3/attribute-construction-list.h"
+#include "ns3/fatal-error.h"
 
 namespace ns3
 {
@@ -138,27 +138,16 @@
 const EpsBearer::BearerRequirementsMap&
 EpsBearer::GetRequirementsRel11()
 {
-    /* Needed to support GCC 4.9. Otherwise, use list constructors, for example:
-     * EpsBearer::BearerRequirementsMap
-     * EpsBearer::GetRequirementsRel15 ()
-     * {
-     *   return
-     *     {
-     *       { GBR_CONV_VOICE          , { 1,  20, 100, 1.0e-2,    0, 2000} },
-     *       ...
-     *     };
-     * }
-     */
     static EpsBearer::BearerRequirementsMap ret{
-        {GBR_CONV_VOICE, std::make_tuple(1, 2, 100, 1.0e-2, 0, 0)},
-        {GBR_CONV_VIDEO, std::make_tuple(1, 4, 150, 1.0e-3, 0, 0)},
-        {GBR_GAMING, std::make_tuple(1, 3, 50, 1.0e-3, 0, 0)},
-        {GBR_NON_CONV_VIDEO, std::make_tuple(1, 5, 300, 1.0e-6, 0, 0)},
-        {NGBR_IMS, std::make_tuple(0, 1, 100, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_OPERATOR, std::make_tuple(0, 6, 300, 1.0e-6, 0, 0)},
-        {NGBR_VOICE_VIDEO_GAMING, std::make_tuple(0, 7, 100, 1.0e-3, 0, 0)},
-        {NGBR_VIDEO_TCP_PREMIUM, std::make_tuple(0, 8, 300, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_DEFAULT, std::make_tuple(0, 9, 300, 1.0e-6, 0, 0)},
+        {GBR_CONV_VOICE, {1, 2, 100, 1.0e-2, 0, 0}},
+        {GBR_CONV_VIDEO, {1, 4, 150, 1.0e-3, 0, 0}},
+        {GBR_GAMING, {1, 3, 50, 1.0e-3, 0, 0}},
+        {GBR_NON_CONV_VIDEO, {1, 5, 300, 1.0e-6, 0, 0}},
+        {NGBR_IMS, {0, 1, 100, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_OPERATOR, {0, 6, 300, 1.0e-6, 0, 0}},
+        {NGBR_VOICE_VIDEO_GAMING, {0, 7, 100, 1.0e-3, 0, 0}},
+        {NGBR_VIDEO_TCP_PREMIUM, {0, 8, 300, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_DEFAULT, {0, 9, 300, 1.0e-6, 0, 0}},
     };
     return ret;
 }
@@ -166,29 +155,28 @@
 const EpsBearer::BearerRequirementsMap&
 EpsBearer::GetRequirementsRel15()
 {
-    // Needed to support GCC 4.9. Otherwise, use list constructors (see GetRequirementsRel10)
     static EpsBearer::BearerRequirementsMap ret{
-        {GBR_CONV_VOICE, std::make_tuple(1, 20, 100, 1.0e-2, 0, 2000)},
-        {GBR_CONV_VIDEO, std::make_tuple(1, 40, 150, 1.0e-3, 0, 2000)},
-        {GBR_GAMING, std::make_tuple(1, 30, 50, 1.0e-3, 0, 2000)},
-        {GBR_NON_CONV_VIDEO, std::make_tuple(1, 50, 300, 1.0e-6, 0, 2000)},
-        {GBR_MC_PUSH_TO_TALK, std::make_tuple(1, 7, 75, 1.0e-2, 0, 2000)},
-        {GBR_NMC_PUSH_TO_TALK, std::make_tuple(1, 20, 100, 1.0e-2, 0, 2000)},
-        {GBR_MC_VIDEO, std::make_tuple(1, 15, 100, 1.0e-3, 0, 2000)},
-        {GBR_V2X, std::make_tuple(1, 25, 50, 1.0e-2, 0, 2000)},
-        {NGBR_IMS, std::make_tuple(0, 10, 100, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_OPERATOR, std::make_tuple(0, 60, 300, 1.0e-6, 0, 0)},
-        {NGBR_VOICE_VIDEO_GAMING, std::make_tuple(0, 70, 100, 1.0e-3, 0, 0)},
-        {NGBR_VIDEO_TCP_PREMIUM, std::make_tuple(0, 80, 300, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_DEFAULT, std::make_tuple(0, 90, 300, 1.0e-6, 0, 0)},
-        {NGBR_MC_DELAY_SIGNAL, std::make_tuple(0, 5, 60, 1.0e-6, 0, 0)},
-        {NGBR_MC_DATA, std::make_tuple(0, 55, 200, 1.0e-6, 0, 0)},
-        {NGBR_V2X, std::make_tuple(0, 65, 5, 1.0e-2, 0, 0)},
-        {NGBR_LOW_LAT_EMBB, std::make_tuple(0, 68, 10, 1.0e-6, 0, 0)},
-        {DGBR_DISCRETE_AUT_SMALL, std::make_tuple(2, 19, 10, 1.0e-4, 255, 2000)},
-        {DGBR_DISCRETE_AUT_LARGE, std::make_tuple(2, 22, 10, 1.0e-4, 1358, 2000)},
-        {DGBR_ITS, std::make_tuple(2, 24, 30, 1.0e-5, 1354, 2000)},
-        {DGBR_ELECTRICITY, std::make_tuple(2, 21, 5, 1.0e-5, 255, 2000)},
+        {GBR_CONV_VOICE, {1, 20, 100, 1.0e-2, 0, 2000}},
+        {GBR_CONV_VIDEO, {1, 40, 150, 1.0e-3, 0, 2000}},
+        {GBR_GAMING, {1, 30, 50, 1.0e-3, 0, 2000}},
+        {GBR_NON_CONV_VIDEO, {1, 50, 300, 1.0e-6, 0, 2000}},
+        {GBR_MC_PUSH_TO_TALK, {1, 7, 75, 1.0e-2, 0, 2000}},
+        {GBR_NMC_PUSH_TO_TALK, {1, 20, 100, 1.0e-2, 0, 2000}},
+        {GBR_MC_VIDEO, {1, 15, 100, 1.0e-3, 0, 2000}},
+        {GBR_V2X, {1, 25, 50, 1.0e-2, 0, 2000}},
+        {NGBR_IMS, {0, 10, 100, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_OPERATOR, {0, 60, 300, 1.0e-6, 0, 0}},
+        {NGBR_VOICE_VIDEO_GAMING, {0, 70, 100, 1.0e-3, 0, 0}},
+        {NGBR_VIDEO_TCP_PREMIUM, {0, 80, 300, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_DEFAULT, {0, 90, 300, 1.0e-6, 0, 0}},
+        {NGBR_MC_DELAY_SIGNAL, {0, 5, 60, 1.0e-6, 0, 0}},
+        {NGBR_MC_DATA, {0, 55, 200, 1.0e-6, 0, 0}},
+        {NGBR_V2X, {0, 65, 5, 1.0e-2, 0, 0}},
+        {NGBR_LOW_LAT_EMBB, {0, 68, 10, 1.0e-6, 0, 0}},
+        {DGBR_DISCRETE_AUT_SMALL, {2, 19, 10, 1.0e-4, 255, 2000}},
+        {DGBR_DISCRETE_AUT_LARGE, {2, 22, 10, 1.0e-4, 1358, 2000}},
+        {DGBR_ITS, {2, 24, 30, 1.0e-5, 1354, 2000}},
+        {DGBR_ELECTRICITY, {2, 21, 5, 1.0e-5, 255, 2000}},
     };
     return ret;
 }
@@ -196,39 +184,38 @@
 const EpsBearer::BearerRequirementsMap&
 EpsBearer::GetRequirementsRel18()
 {
-    // Needed to support GCC 4.9. Otherwise, use list constructors (see GetRequirementsRel10)
     static EpsBearer::BearerRequirementsMap ret{
-        {GBR_CONV_VOICE, std::make_tuple(1, 20, 100, 1.0e-2, 0, 2000)},
-        {GBR_CONV_VIDEO, std::make_tuple(1, 40, 150, 1.0e-3, 0, 2000)},
-        {GBR_GAMING, std::make_tuple(1, 30, 50, 1.0e-3, 0, 2000)},
-        {GBR_NON_CONV_VIDEO, std::make_tuple(1, 50, 300, 1.0e-6, 0, 2000)},
-        {GBR_MC_PUSH_TO_TALK, std::make_tuple(1, 7, 75, 1.0e-2, 0, 2000)},
-        {GBR_NMC_PUSH_TO_TALK, std::make_tuple(1, 20, 100, 1.0e-2, 0, 2000)},
-        {GBR_MC_VIDEO, std::make_tuple(1, 15, 100, 1.0e-3, 0, 2000)},
-        {GBR_V2X, std::make_tuple(1, 25, 50, 1.0e-2, 0, 2000)},
-        {NGBR_IMS, std::make_tuple(0, 10, 100, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_OPERATOR, std::make_tuple(0, 60, 300, 1.0e-6, 0, 0)},
-        {NGBR_VOICE_VIDEO_GAMING, std::make_tuple(0, 70, 100, 1.0e-3, 0, 0)},
-        {NGBR_VIDEO_TCP_PREMIUM, std::make_tuple(0, 80, 300, 1.0e-6, 0, 0)},
-        {NGBR_VIDEO_TCP_DEFAULT, std::make_tuple(0, 90, 300, 1.0e-6, 0, 0)},
-        {NGBR_MC_DELAY_SIGNAL, std::make_tuple(0, 5, 60, 1.0e-6, 0, 0)},
-        {NGBR_MC_DATA, std::make_tuple(0, 55, 200, 1.0e-6, 0, 0)},
-        {NGBR_V2X, std::make_tuple(0, 65, 5, 1.0e-2, 0, 0)},
-        {NGBR_LOW_LAT_EMBB, std::make_tuple(0, 68, 10, 1.0e-6, 0, 0)},
-        {GBR_LIVE_UL_71, std::make_tuple(1, 56, 150, 1.0e-6, 0, 0)},
-        {GBR_LIVE_UL_72, std::make_tuple(1, 56, 300, 1.0e-4, 0, 0)},
-        {GBR_LIVE_UL_73, std::make_tuple(1, 56, 300, 1.0e-8, 0, 0)},
-        {GBR_LIVE_UL_74, std::make_tuple(1, 56, 500, 1.0e-8, 0, 0)},
-        {GBR_LIVE_UL_76, std::make_tuple(1, 56, 500, 1.0e-4, 0, 0)},
-        {DGBR_DISCRETE_AUT_SMALL, std::make_tuple(2, 19, 10, 1.0e-4, 255, 2000)},
-        {DGBR_DISCRETE_AUT_LARGE, std::make_tuple(2, 22, 10, 1.0e-4, 1358, 2000)},
-        {DGBR_ITS, std::make_tuple(2, 24, 30, 1.0e-5, 1354, 2000)},
-        {DGBR_ELECTRICITY, std::make_tuple(2, 21, 5, 1.0e-5, 255, 2000)},
-        {DGBR_V2X, std::make_tuple(2, 18, 5, 1.0e-4, 1354, 2000)},
-        {DGBR_INTER_SERV_87, std::make_tuple(2, 25, 5, 1.0e-3, 500, 2000)},
-        {DGBR_INTER_SERV_88, std::make_tuple(2, 25, 10, 1.0e-3, 1125, 2000)},
-        {DGBR_VISUAL_CONTENT_89, std::make_tuple(2, 25, 15, 1.0e-4, 17000, 2000)},
-        {DGBR_VISUAL_CONTENT_90, std::make_tuple(2, 25, 20, 1.0e-4, 63000, 2000)},
+        {GBR_CONV_VOICE, {1, 20, 100, 1.0e-2, 0, 2000}},
+        {GBR_CONV_VIDEO, {1, 40, 150, 1.0e-3, 0, 2000}},
+        {GBR_GAMING, {1, 30, 50, 1.0e-3, 0, 2000}},
+        {GBR_NON_CONV_VIDEO, {1, 50, 300, 1.0e-6, 0, 2000}},
+        {GBR_MC_PUSH_TO_TALK, {1, 7, 75, 1.0e-2, 0, 2000}},
+        {GBR_NMC_PUSH_TO_TALK, {1, 20, 100, 1.0e-2, 0, 2000}},
+        {GBR_MC_VIDEO, {1, 15, 100, 1.0e-3, 0, 2000}},
+        {GBR_V2X, {1, 25, 50, 1.0e-2, 0, 2000}},
+        {NGBR_IMS, {0, 10, 100, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_OPERATOR, {0, 60, 300, 1.0e-6, 0, 0}},
+        {NGBR_VOICE_VIDEO_GAMING, {0, 70, 100, 1.0e-3, 0, 0}},
+        {NGBR_VIDEO_TCP_PREMIUM, {0, 80, 300, 1.0e-6, 0, 0}},
+        {NGBR_VIDEO_TCP_DEFAULT, {0, 90, 300, 1.0e-6, 0, 0}},
+        {NGBR_MC_DELAY_SIGNAL, {0, 5, 60, 1.0e-6, 0, 0}},
+        {NGBR_MC_DATA, {0, 55, 200, 1.0e-6, 0, 0}},
+        {NGBR_V2X, {0, 65, 5, 1.0e-2, 0, 0}},
+        {NGBR_LOW_LAT_EMBB, {0, 68, 10, 1.0e-6, 0, 0}},
+        {GBR_LIVE_UL_71, {1, 56, 150, 1.0e-6, 0, 0}},
+        {GBR_LIVE_UL_72, {1, 56, 300, 1.0e-4, 0, 0}},
+        {GBR_LIVE_UL_73, {1, 56, 300, 1.0e-8, 0, 0}},
+        {GBR_LIVE_UL_74, {1, 56, 500, 1.0e-8, 0, 0}},
+        {GBR_LIVE_UL_76, {1, 56, 500, 1.0e-4, 0, 0}},
+        {DGBR_DISCRETE_AUT_SMALL, {2, 19, 10, 1.0e-4, 255, 2000}},
+        {DGBR_DISCRETE_AUT_LARGE, {2, 22, 10, 1.0e-4, 1358, 2000}},
+        {DGBR_ITS, {2, 24, 30, 1.0e-5, 1354, 2000}},
+        {DGBR_ELECTRICITY, {2, 21, 5, 1.0e-5, 255, 2000}},
+        {DGBR_V2X, {2, 18, 5, 1.0e-4, 1354, 2000}},
+        {DGBR_INTER_SERV_87, {2, 25, 5, 1.0e-3, 500, 2000}},
+        {DGBR_INTER_SERV_88, {2, 25, 10, 1.0e-3, 1125, 2000}},
+        {DGBR_VISUAL_CONTENT_89, {2, 25, 15, 1.0e-4, 17000, 2000}},
+        {DGBR_VISUAL_CONTENT_90, {2, 25, 20, 1.0e-4, 63000, 2000}},
     };
     return ret;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/eps-bearer.h ns-3.44/src/lte/model/eps-bearer.h
--- ns-3.43/src/lte/model/eps-bearer.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/eps-bearer.h	2025-03-09 16:55:49.487371400 -0700
@@ -9,8 +9,8 @@
 #ifndef EPS_BEARER
 #define EPS_BEARER
 
-#include <ns3/object-base.h>
-#include <ns3/uinteger.h>
+#include "ns3/object-base.h"
+#include "ns3/uinteger.h"
 
 #include <unordered_map>
 
@@ -50,11 +50,11 @@
 };
 
 /**
- * \brief This class contains the specification of EPS Bearers.
+ * @brief This class contains the specification of EPS Bearers.
  *
  * See the following references:
- * 3GPP TS 23.203, Section 4.7.2 The EPS bearer
- * 3GPP TS 23.203, Section 4.7.3 Bearer level QoS parameters
+ * 3GPP TS 23.401, Section 4.7.2 The EPS bearer
+ * 3GPP TS 23.401, Section 4.7.3 Bearer level QoS parameters
  * 3GPP TS 36.413 Section 9.2.1.15 E-RAB Level QoS Parameters
  *
  * It supports the selection of different specifications depending on the
@@ -80,8 +80,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -164,21 +164,21 @@
     EpsBearer(Qci x, GbrQosInformation y);
 
     /**
-     * \brief EpsBearer copy constructor
-     * \param o other instance
+     * @brief EpsBearer copy constructor
+     * @param o other instance
      */
     EpsBearer(const EpsBearer& o);
 
     /**
-     * \brief Deconstructor
+     * @brief Deconstructor
      */
     ~EpsBearer() override
     {
     }
 
     /**
-     * \brief SetRelease
-     * \param release The release the user want for this bearer
+     * @brief SetRelease
+     * @param release The release the user want for this bearer
      *
      * Releases introduces new types, and change values for existing ones.
      * While we can't do much for the added type (we must expose them even
@@ -191,8 +191,8 @@
     void SetRelease(uint8_t release);
 
     /**
-     * \brief GetRelease
-     * \return The release currently set for this bearer type
+     * @brief GetRelease
+     * @return The release currently set for this bearer type
      */
     uint8_t GetRelease() const
     {
@@ -232,120 +232,110 @@
 
   private:
     /**
-     * \brief Map between QCI and requirements
-     *
-     * The tuple is formed by: resource type, priority, packet delay budget, packet error rate,
-     *  default maximum data burst, default averaging window (0 when does not apply)
+     * @brief Struct containing bearer requirements
      */
-    using BearerRequirementsMap =
-        std::unordered_map<Qci, std::tuple<uint8_t, uint8_t, uint16_t, double, uint32_t, uint32_t>>;
+    struct BearerRequirements
+    {
+        uint8_t resourceType{0};         //!< resource type
+        uint8_t priority{0};             //!< priority
+        uint16_t packetDelayBudgetMs{0}; //!< packet delay budget in ms
+        double packetErrorLossRate{0.0}; //!< packet error rate
+        uint32_t maxDataBurst{0};        //!< default maximum data burst
+        uint32_t avgWindow{0};           //!< default averaging window (0 when does not apply)
+    };
 
     /**
-     * \brief Get the resource type (NON-GBR, GBR, DC-GBR) of the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return the resource type (NON-GBR, GBR, DC-GBR) of the selected QCI
+     * @brief Map between QCI and requirements
+     */
+    using BearerRequirementsMap = std::unordered_map<Qci, BearerRequirements>;
+
+    /**
+     * @brief Get the resource type (NON-GBR, GBR, DC-GBR) of the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return the resource type (NON-GBR, GBR, DC-GBR) of the selected QCI
      */
     static uint8_t GetResourceType(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<0>(map.at(qci));
+        return map.at(qci).resourceType;
     }
 
     /**
-     * \brief Get priority for the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return priority for the selected QCI
+     * @brief Get priority for the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return priority for the selected QCI
      */
     static uint8_t GetPriority(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<1>(map.at(qci));
+        return map.at(qci).priority;
     }
 
     /**
-     * \brief Get packet delay in ms for the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return packet delay in ms for the selected QCI
+     * @brief Get packet delay in ms for the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return packet delay in ms for the selected QCI
      */
     static uint16_t GetPacketDelayBudgetMs(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<2>(map.at(qci));
+        return map.at(qci).packetDelayBudgetMs;
     }
 
     /**
-     * \brief Get packet error rate for the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return packet error rate for the selected QCI
+     * @brief Get packet error rate for the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return packet error rate for the selected QCI
      */
     static double GetPacketErrorLossRate(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<3>(map.at(qci));
+        return map.at(qci).packetErrorLossRate;
     }
 
     /**
-     * \brief Get maximum data burst for the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return maximum data burst for the selected QCI
+     * @brief Get maximum data burst for the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return maximum data burst for the selected QCI
      */
     static uint32_t GetMaxDataBurst(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<4>(map.at(qci));
+        return map.at(qci).maxDataBurst;
     }
 
     /**
-     * \brief Get default averaging window for the selected QCI
-     * \param map Map between QCI and requirements
-     * \param qci QCI to look for
-     * \return default averaging window for the selected QCI
+     * @brief Get default averaging window for the selected QCI
+     * @param map Map between QCI and requirements
+     * @param qci QCI to look for
+     * @return default averaging window for the selected QCI
      */
     static uint32_t GetAvgWindow(const BearerRequirementsMap& map, Qci qci)
     {
-        return std::get<5>(map.at(qci));
+        return map.at(qci).avgWindow;
     }
 
     /**
-     * \brief Retrieve requirements for Rel. 11
-     * \return the BearerRequirementsMap for Release 11
-     *
-     * It returns a pointer to a non-const static data. That is not thread-safe,
-     * nor safe to do in general. However, a const-correct version would have
-     * to initialize two static maps, and then returning either one or the other.
-     * But that's a huge memory increase, and EpsBearer is used everywhere.
-     *
-     * To be revisited when GCC 4.9 will not be supported anymore.
+     * @brief Retrieve requirements for Rel. 11
+     * @return the BearerRequirementsMap for Release 11
      */
     static const BearerRequirementsMap& GetRequirementsRel11();
 
     /**
-     * \brief Retrieve requirements for Rel. 15
-     * \return the BearerRequirementsMap for Release 15
-     *
-     * It returns a pointer to a non-const static data. That is not thread-safe,
-     * nor safe to do in general. However, a const-correct version would have
-     * to initialize two static maps, and then returning either one or the other.
-     * But that's a huge memory increase, and EpsBearer is used everywhere.
-     *
-     * To be revisited when GCC 4.9 will not be supported anymore.
+     * @brief Retrieve requirements for Rel. 15
+     * @return the BearerRequirementsMap for Release 15
      */
     static const BearerRequirementsMap& GetRequirementsRel15();
 
     /**
-     * \brief Retrieve requirements for Rel. 18
-     * \return the BearerRequirementsMap for Release 18
+     * @brief Retrieve requirements for Rel. 18
+     * @return the BearerRequirementsMap for Release 18
      */
     static const BearerRequirementsMap& GetRequirementsRel18();
 
-    /**
-     * \brief Requirements pointer per bearer
-     *
-     * It will point to a static map.
-     */
-    BearerRequirementsMap m_requirements;
+    BearerRequirementsMap m_requirements; //!< Map of requirements per bearer
 
-    uint8_t m_release{30}; //!< Release (10 or 15 or 18)
+    uint8_t m_release{30}; //!< Release (8 to 11 or 15 or 18)
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/eps-bearer-tag.h ns-3.44/src/lte/model/eps-bearer-tag.h
--- ns-3.43/src/lte/model/eps-bearer-tag.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/eps-bearer-tag.h	2025-03-09 16:55:49.487371400 -0700
@@ -25,8 +25,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -65,12 +65,12 @@
 
     /**
      * Get RNTI function
-     * \returns the RNTI
+     * @returns the RNTI
      */
     uint16_t GetRnti() const;
     /**
      * Get Bearer Id function
-     * \returns the Bearer Id
+     * @returns the Bearer Id
      */
     uint8_t GetBid() const;
 
